For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
          • PUTInsert / Update Records
          • DELDelete Records
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTEvent-Driven Sync (EDRTS)Data Operations

Delete Records

DELETE
https://ebs.feedonomics.com/catalog/rest.php/db/:db_id
DELETE
/catalog/rest.php/db/:db_id
$curl -X DELETE https://ebs.feedonomics.com/catalog/rest.php/db/102345 \
> -H "x-api-key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> "a1",
> "a5",
> "a9"
>]'
1{
2 "status": "success",
3 "data": {
4 "sku_count": 0,
5 "batches": [
6 {
7 "db_id": 102345,
8 "correlation_id": "1428ebcf7cdfd213",
9 "batch_index": 0,
10 "status": "queued"
11 }
12 ]
13 }
14}

Delete the provided record(s) in the database.


Was this page helpful?
Previous

Insert / Update Records

Next

Get Database Status

Built with

Authentication

x-api-keystring
API Key authentication via header

Path parameters

db_idintegerRequired
Unique ID of the database

Request

**The max rows to delete per request is 1000**

Response

Accepted - Request Queued

statusstringDefaults to success
API response status.
dataobject

Errors

400
Bad Request Error
403
Forbidden Error
5XX
Server Error
502
Bad Gateway Error